<?php

/**
 * A MySQL Dump Script to migrate important data/tables from Prestashop Database
 *
 * Uses : Put this file in the root directory of your prestashop installation and
 * with your browser, go to the url : "www.domain.tld/ps_export_sql_script.php".
 * The file "dump.sql" will be created in the root directory.
 *
 * Once the dump export done, you can do mysql import to the new DB using the
 * "dump.sql" file, it will drop old tables and will import the dumped ones.
 */

// Get DB constants
require_once('config/settings.inc.php');

// Set useful variables
$username = _DB_USER_;
$password = _DB_PASSWD_;
$database = _DB_NAME_;
$prefix = _DB_PREFIX_;


// exec the dump command on tables and store the result in "dump.sql" file
$result = exec("mysqldump -u$username -p$password $database > dump.sql");

echo "dump.sql created !";
